ElementType (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.lang.annotation
Enum ElementType

    java.lang.Object
      java.lang.Enum<ElementType>
          java.lang.annotation.ElementType

    public enum ElementType

extends Enum<ElementType>

A program element type. The constants of this enumerated type provide a simple classification of the declared elements in a Java program.

These constants are used with the `Target` meta-annotation type to specify where it is legal to use an annotation type.

Since:
  JDK1.5, Java Card 3.0

Enum Constant Summary
`ANNOTATION_TYPE` Annotation type declaration
`CONSTRUCTOR` Constructor declaration
`FIELD` Field declaration (includes enum constants)
`LOCAL_VARIABLE` Local variable declaration
`METHOD` Method declaration
`PACKAGE` Package declaration
`PARAMETER` Parameter declaration
`TYPE` Class, interface (including annotation type), or enum declaration

Method Summary
`static ElementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`equals, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TYPE

    public static final ElementType TYPE

  Class, interface (including annotation type), or enum declaration

### FIELD

    public static final ElementType FIELD

  Field declaration (includes enum constants)

### METHOD

    public static final ElementType METHOD

  Method declaration

### PARAMETER

    public static final ElementType PARAMETER

  Parameter declaration

### CONSTRUCTOR

    public static final ElementType CONSTRUCTOR

  Constructor declaration

### LOCAL_VARIABLE

    public static final ElementType LOCAL_VARIABLE

  Local variable declaration

### ANNOTATION_TYPE

    public static final ElementType ANNOTATION_TYPE

  Annotation type declaration

### PACKAGE

    public static final ElementType PACKAGE

  Package declaration

Method Detail

### values

    public static ElementType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ElementType c : ElementType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ElementType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.